// import { useEffect } from 'react';
import { ThemeProvider } from '@mui/material/styles';
import { TableStyle, Encabezados, BuildColumns } from './Config'
import { useSelector } from 'react-redux';
import { useQuery } from 'react-query';
import { Service } from '../../Utils/HTTP'
import MUIDataTable from "mui-datatables";

export const TestDataTable = () => {
  
  const auth = useSelector((state) => state.token)

  const options = {
    filterType: 'checkbox',
    customToolbar: () => { },
    // textLabels: TextLabels,
    onRowClick: (test) => {
      console.log(test)
      // let [plaza, pwd] = password;
      // setPassword({pwd,plz:plaza});
      // setVisible(true);
    },
    elevation: 9
  };

  const getAllPwd = async () => {
    let rest = new Service('/contrasenia/getallbyidUsr');
    return await rest.getQuery(auth.token)
  }

  const { data, status } = useQuery('homepwd', getAllPwd);
  console.log('DATA: ', data)


  return (
    <ThemeProvider theme={TableStyle}>
      <MUIDataTable
        sx={{ '& MuiPaper': { elevation: 0, boxShadow: 'none', color: "red" } }}
        title={"Expedientes"}
        data={BuildColumns( status === 'success' ? data.data : [])}
        columns={Encabezados}
        options={options}
      />
    </ThemeProvider>
  )
}
